curl --request PATCH \
--url 'https://api.scanova.io/analytics/report/58/update/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "saved_name": "Q3 QR Report" }'
{
"id": 58,
"filter_type": "qrcode",
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"report_type": "both",
"analytics_format": "xlsx",
"scan_format": "csv",
"status": "completed",
"report_file": "https://cdn.example.com/media/analytics_reports/58/report.xlsx",
"completed_on": "2026-09-01T08:12:00Z",
"is_saved": true,
"saved_name": "Q3 QR Report",
"created": "2026-09-01T08:10:00Z",
"requested_by_name": "Docs"
}
分析与套餐
更新已保存的分析报告
PATCH /analytics/report//update/
PATCH
/
analytics
/
report
/
{pk}
/
update
/
curl --request PATCH \
--url 'https://api.scanova.io/analytics/report/58/update/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "saved_name": "Q3 QR Report" }'
{
"id": 58,
"filter_type": "qrcode",
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"report_type": "both",
"analytics_format": "xlsx",
"scan_format": "csv",
"status": "completed",
"report_file": "https://cdn.example.com/media/analytics_reports/58/report.xlsx",
"completed_on": "2026-09-01T08:12:00Z",
"is_saved": true,
"saved_name": "Q3 QR Report",
"created": "2026-09-01T08:10:00Z",
"requested_by_name": "Docs"
}
更新一个已保存的分析报告 —— 常用于重命名它或切换是否保持已保存状态。
此端点不会重新生成报告 —— 它只更新已保存预设的元数据,不更新
需要具有
MANAGEMENT_API(或 MANAGEMENT_API_SANDBOX)配额的管理 API 密钥 —— 参见管理 API 概述。integer
必填
报告的
id。string
已保存预设的新名称。每个账户内必须唯一 —— 重复会返回
400。curl --request PATCH \
--url 'https://api.scanova.io/analytics/report/58/update/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "saved_name": "Q3 QR Report" }'
{
"id": 58,
"filter_type": "qrcode",
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"report_type": "both",
"analytics_format": "xlsx",
"scan_format": "csv",
"status": "completed",
"report_file": "https://cdn.example.com/media/analytics_reports/58/report.xlsx",
"completed_on": "2026-09-01T08:12:00Z",
"is_saved": true,
"saved_name": "Q3 QR Report",
"created": "2026-09-01T08:10:00Z",
"requested_by_name": "Docs"
}
filter_type/filter_data/日期范围。如果 pk 不是此账户拥有的已保存报告,则返回 404。
相关内容
- 获取已保存的分析报告 —— 更新前查看。
- 生成分析报告 —— 使用不同参数开始新报告。
- 管理 API 概述 —— 此端点所属的身份验证方案和配额体系。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
200 - application/json
Report updated.
此页面对您有帮助吗?